Bug 202368 - IndexError: string index out of range
IndexError: string index out of range
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-13 14:17 EDT by Jasper O. Hartline
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-15 13:40:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jasper O. Hartline 2006-08-13 14:17:05 EDT
Description of problem:
While running Anaconda with Kadischi I get a traceback. The traceback snippet is
below:
----------------------------
Probing for video card:   Cirrus Logic GD 5430/40 [Alpine]
Traceback (most recent call last):
  File "/usr/sbin/anaconda", line 843, in ?
    anaconda.setMethod()
  File "/usr/sbin/anaconda", line 554, in setMethod
    self.method =  UrlInstallMethod(self.methodstr, self.rootPath, self.intf)
  File "/usr/lib/anaconda/urlinstall.py", line 170, in __init__
    if path[1] == '/' and scheme == 'ftp':
IndexError: string index out of range
-----------------------------

This is while running Anaconda under Kadischi.
 

Version-Release number of selected component (if applicable):
anaconda-11.1.0.80-1

How reproducible:
Run Anaconda under Kadischi on a FC6T2 host with development Anaconda installed.

Steps to Reproduce:
1. kadischi --text http://192.168.2.2/ -f /tmp/fc6t2.iso
2.
3.
  
Actual results:
Anaconda tracebacks.

Expected results:
A LiveCD is built as FC6T2.ISO

Additional info:
There is no additional information at this time.
Comment 1 Jeremy Katz 2006-08-15 10:58:11 EDT
What arguments are being passed to anaconda?
Comment 2 Jasper O. Hartline 2006-08-15 13:24:14 EDT
The argument passing should look like so:
anaconda --text --rootpath=/our/rootpath --method=http://192.168.2.2/

As per kadischi.py from Kadischi CVS shown to reflect the parameters passed.

Here is the Anaconda code execution block out of Kadischi CVS kadischi.py:
-------------------------- BEGIN ----------------

    # run anaconda
    print "\n[kadischi] : running anaconda    \n"
    anaconda_args.append("--rootpath=%s" % sysdir)
    anaconda_args.append("--method=%s" % method)
    execute(anaconda_args)
    print "\n[kadischi] :  anaconda has finished its job \n"

-------------------------- END ------------------ 
Comment 3 Chris Lumens 2006-08-15 13:40:37 EDT
Thanks for the report.  This will be fixed in the next build of anaconda.

Note You need to log in before you can comment on or make changes to this bug.